Subject: RE: 'Subject-Categories' Discussion, was RE: I-D ACTION:draft-iet f-rap-sppi-05.txt

From: "Rawlins, Diana" <[email-masked]>
Date: Thu, 01 Mar 2001 22:09:28 +0000

Kwok,

The clarification helped! I look forward to learning
the COPS client type and SUBJECT CATEGORY ID for the
QoS PIB in the future DiffServ PIB draft.

Thanks!
Diana

-----Original Message-----
From: Kwok-Ho Chan [mailto:[email-masked]]
Sent: Thursday, March 01, 2001 3:06 PM
To: Rawlins, Diana
Cc: [email-masked]; Kwok-Ho Chan
Subject: 'Subject-Categories' Discussion, was RE: I-D
ACTION:draft-ietf-rap-sppi-05.txt

Diana:
Hopefully the following reply will help.
Please let me know if more clarification is needed.
You pointed out a good issue which the co-author
assumed to be handled by IANA.
An IANA Consideration section will be added to the
DiffServ PIB draft (and other PIB drafts in the future)
to describe how this assignment is done.
Please provide comments or better ways of doing this.
Thanks!
-- Kwok --

At 06:46 PM 2/26/01 +0000, Rawlins, Diana wrote:
>I have a couple of questions/comments which are focused on 
>Section 7.1 "Mapping of the SUBJECT-CATEGORIES clause."
>
>What is the value of the COPS Header Client Type for a client 
>connection of SUBJECT-CATEGORY QOS? Will this be the equal to 
>the CATEGORY ID value of the DiffServ PIB?

Yes,  this is indicated by the SUBJECT-CATEGORIES at the top of the
DiffServ PIB module.
Currently the value is TBD.  We envision this will be an IANA assigned
number space.

>
>How are additional technology specific PIBs added to a client 
>type applications? Are they assigned the same CATEGORY ID? How 
>would an Accounting Usage PIB for the DiffServ be added to the
>DiffServ QoS Client Type application? 

I think the Accounting PRCs specific to DiffServ should use the same
SUBJECT-CATEGORY as the one used for the DiffServ PIB (QoS).
But the PRC name/number space need to be coordinated with other
PIB modules using QoS Subject-Category.
 
>
>What is the Category ID for SUBJECT-CATEGORIES QoS? Where is 
>the category to client type mapping defined? Will it be called
>out in the individual PIB drafts? (Not finding that type of 
>information in the current DiffServ PIB 02.)
>
>Quoting more from 7.1, "The namespace for these named numbers
>is global and therefore the labels should be assigned 
>consistently across PIB modules.  At present time, no more
>than one named-number enumeration should be specified."
>
>What organization is managing the global name space for the
>CATEGORY IDS? Where does one go to set this up or find out
>the mappings?

Current thinking is this gets assigned by IANA, but any suggestions
are welcomed.

>
>Thanks,
>Diana
>
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]
>Sent: Friday, February 23, 2001 5:45 AM
>Cc: [email-masked]
>Subject: I-D ACTION:draft-ietf-rap-sppi-05.txt
>
>
>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
>This draft is a work item of the Resource Allocation Protocol Working Group
>of the IETF.
>
>	Title		: Structure of Policy Provisioning Information
>(SPPI)
>	Author(s)	: K. McCloghrie, M. Fine, J. Seligson, 
>                          K. Chan, S. Hahn, R. Sahita, A. Smith, 
>                          F. Reichmeyer
>	Filename	: draft-ietf-rap-sppi-05.txt
>	Pages		: 42
>	Date		: 22-Feb-01
>	
>RFC 2748 [COPS] defines the COPS protocol, and RFC 2749 [COPS-RSVP]
>describes how the COPS protocol is used to provide for the outsourcing
>of policy decisions for RSVP.  Another usage of the COPS protocol, for
>the provisioning of policy, is introduced in [COPS-PR].  In this
>provisioning model, the policy information is viewed as a collection of
>Provisioning Classes (PRCs) and Provisioning Instances (PRIs) residing
>in a virtual information store, termed the Policy Information Base
>(PIB).  Collections of related Provisioning Classes are defined in a PIB
>module.  PIB modules are written using an adapted subset of SNMP's
>Structure of Management Information (SMI) [SMI, TC, CONF].  It is the
>purpose of this document, the Structure of Policy Provisioning
>Information (SPPI), to define that adapted subset
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ietf-rap-sppi-05.txt
>
>Internet-Drafts are also available by anonymous FTP. Login with the
username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>	"get draft-ietf-rap-sppi-05.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html 

>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>	[email-masked].
>In the body type:
>	"FILE /internet-drafts/draft-ietf-rap-sppi-05.txt".
>	
>NOTE:	The mail server at ietf.org can return the document in
>	MIME-encoded form by using the "mpack" utility.  To use this
>	feature, insert the command "ENCODING mime" before the "FILE"
>	command.  To decode the response(s), you will need "munpack" or
>	a MIME-compliant mail reader.  Different MIME-compliant mail readers
>	exhibit different behavior, especially when dealing with
>	"multipart" MIME messages (i.e. documents which have been split
>	up into multiple messages), so check your local documentation on
>	how to manipulate these messages.
>		
>		
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>